OntologyFactory (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap
Class OntologyFactory

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.OntologyFactory

Direct Known Subclasses:
  JENAOntologyFactory, OWLAPI3OntologyFactory, OWLAPIOntologyFactory

    public abstract class OntologyFactory

extends Object

Field Summary
`static int` | `ALL`
`static int` | `ANY`
`private static String` | `API_NAME`
`static int` | `ASSERTED`
`static int` | `DIRECT`
`static int` | `FULL`
`static int` | `GLOBAL`
`static int` | `INDIRECT`
`static int` | `INHERITED`
`protected static Hashtable<String,OntologyFactory>` | `instances`
`static int` | `LOCAL`
`static int` | `MENTIONNED`
`static int` | `NAMED`
`static int` | `UNASSERTED`
`static int` | `UNNAMED`

Constructor Summary
`OntologyFactory()`

Method Summary
`static void` | `clear()`
`abstract void` | `clearCache()` All Ontologies must implement clearCache() which unload their ontologies if any cache is enabled.
`static String` | `getDefaultFactory()`
`static OntologyFactory` | `getFactory()`
`abstract LoadedOntology` | `loadOntology(URI uri)` Load an ontology, cache enabled These methods should rather be in a LoadableOntologyFactory
`private static OntologyFactory` | `newInstance(String apiName)`
`abstract LoadedOntology` | `newOntology(Object onto)` Encapsulate an ontology already in the environment These methods should rather be in a LoadableOntologyFactory
`static void` | `setDefaultFactory(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static int ANY

### DIRECT

    public static int DIRECT

### INDIRECT

    public static int INDIRECT

### ASSERTED

    public static int ASSERTED

### UNASSERTED

    public static int UNASSERTED

### INHERITED

    public static int INHERITED

### FULL

    public static int FULL

### NAMED

    public static int NAMED

### LOCAL

    public static int LOCAL

### GLOBAL

    public static int GLOBAL

### UNNAMED

    public static int UNNAMED

### MENTIONNED

    public static int MENTIONNED

### ALL

    public static int ALL

### instances

    protected static Hashtable<String,OntologyFactory> instances

### API_NAME

    private static String API_NAME

Constructor Detail

### OntologyFactory

    public OntologyFactory()

Method Detail

### getDefaultFactory

    public static String getDefaultFactory()

### setDefaultFactory

    public static void setDefaultFactory(String className)

### getFactory

    public static OntologyFactory getFactory()

### newInstance

    private static OntologyFactory newInstance(String apiName)

### clear

    public static void clear()

### clearCache

    public abstract void clearCache()

  All Ontologies must implement clearCache() which unload their ontologies if any cache is enabled.

### newOntology

    public abstract LoadedOntology newOntology(Object onto)
                                        throws OntowrapException

  Encapsulate an ontology already in the environment These methods should rather be in a LoadableOntologyFactory

  Throws:
    `OntowrapException`

### loadOntology

    public abstract LoadedOntology loadOntology(URI uri)
                                         throws OntowrapException

  Load an ontology, cache enabled These methods should rather be in a LoadableOntologyFactory

  Throws:
    `OntowrapException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010